MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000365SoldatGameplaypublic2013-08-01 00:352013-12-04 15:47
Reporterhomerofgods 
Assigned ToSpiltCoffee 
PrioritynormalSeverityminorReproducibilitysometimes
StatusresolvedResolutionfixed 
Platformx64OSWindowsOS Version7
Product Version1.6.4 
Target VersionFixed in Version1.6.7 
Summary0000365: Irregularity in last spas clip
DescriptionWhen you're firing your last clip, it sometimes reloads 2 clips before you are able to shoot.
Steps To ReproducePick the spas and empty the gun from clips, it will now automatically start reloading, shoot the first clip when it is reloaded and try to keep the gun from reloading more then 1 clip.
Additional InformationI think this happens because you start reloading faster when you are at 0 clips. So a possible solution would be to add the same delay before you can reload as when you are at any other number of clips left.
TagsNo tags attached.
Attached Filesgif file icon Spazirregularity.gif [^] (193,235 bytes) 2013-11-18 00:49

- Relationships
related to 0000161resolvedSpiltCoffee Spas reloading without FireInterval delay 

-  Notes
(0002006)
homerofgods (updater)
2013-11-18 00:49
edited on: 2013-11-18 00:53

*Added animation of how the irregularities occur (Spazirregularity).
I'm pressing shoot button like crazy, it sometimes loads 1 bullet, sometimes 2

(0002043)
homerofgods (updater)
2013-12-04 01:26

0000161 might explain this behaviour.

Is the solution to make spas reload wait for the fire interval delay on the last pellet too?
(0002049)
SpiltCoffee (reporter)
2013-12-04 14:12

I'll give aim for that a shot, homerofgods, and we can see if it's acceptable.

I mean, you can't reload on any other shot until the fire interval delay is finished anyway, so it would make sense that the very last one should wait for that as well.

- Issue History
Date Modified Username Field Change
2013-08-01 00:35 homerofgods New Issue
2013-11-18 00:49 homerofgods Note Added: 0002006
2013-11-18 00:49 homerofgods File Added: Spazirregularity.gif
2013-11-18 00:53 homerofgods Note Edited: 0002006 View Revisions
2013-12-04 00:28 homerofgods Relationship added related to 0000161
2013-12-04 01:26 homerofgods Note Added: 0002043
2013-12-04 14:12 SpiltCoffee Note Added: 0002049
2013-12-04 14:12 SpiltCoffee Assigned To => SpiltCoffee
2013-12-04 14:12 SpiltCoffee Status new => assigned
2013-12-04 15:47 SpiltCoffee Status assigned => resolved
2013-12-04 15:47 SpiltCoffee Resolution open => fixed
2013-12-04 15:47 SpiltCoffee Fixed in Version => 1.6.7


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker